rtest {ade4} | R Documentation

## Class of the Permutation Tests (in R).

### Description

rtest is a generic function. It proposes methods for the following objects `between`, `discrimin`, `procuste` `...`

### Usage

        rtest(xtest, ...)

### Arguments

`xtest` | an object used to select a method
`...` | further arguments passed to or from other methods; in `plot.randtest` to `hist`

### Value

`rtest` returns an object of class `randtest`

### Author(s)

Daniel Chessel

### See Also

`RV.rtest`, `mantel.rtest`, `procuste.rtest`, `randtest`

### Examples

    par(mfrow = c(2, 2))
    for (x0 in c(2.4, 3.4, 5.4, 20.4)) {
        l0 <- as.randtest(sim = rnorm(200), obs = x0)
        print(l0)
        plot(l0, main = paste("p.value = ", round(l0$pvalue, dig = 5)))
    }
    par(mfrow = c(1, 1))

[Package ade4 version 1.7-13 Index]